Package twisted :: Package trial :: Module unittest :: Class TestCase

[show private | hide private]
[frames | no frames]

## Class TestCase

Method Summary
| `assert_(self, condition, message)`
| `assertApproximates(self, first, second, tolerance, msg)`
| `assertEqual(self, first, second, msg)`
| `assertEquals(self, first, second, msg)`
| `assertIdentical(self, first, second, msg)`
| `assertNotEqual(self, first, second, msg)`
| `assertNotEquals(self, first, second, msg)`
| `assertRaises(self, exception, f, *args, **kwargs)`
| `fail(self, message)`
| `failIf(self, condition, message)`
| `failIfEqual(self, first, second, msg)`
| `failIfEquals(self, first, second, msg)`
| `failUnless(self, condition, message)`
| `failUnlessEqual(self, first, second, msg)`
| `failUnlessIdentical(self, first, second, msg)`
| `failUnlessRaises(self, exception, f, *args, **kwargs)`
| `setUp(self)`
| `tearDown(self)`

Generated by Epydoc 1.1 on Thu May 8 13:16:56 2003 | http://epydoc.sf.net